Content Encoding Error [Solved]

Problems with the Windows version of XAMPP, questions, comments, and anything related.

Content Encoding Error [Solved]

Postby gadget069 » 26. February 2013 21:39

Not sure where to go, a little above my head but have used xampp a few years back. My web host is down and wanted to do a little work updating my forum, I installed xampp successfully, restored my backup with phpmyadmin, i visit 127.0.0.1/portal and get this error.

Content Encoding Error



The page you are trying to view cannot be shown because it uses an invalid or unsupported form of compression.



Please contact the website owners to inform them of this problem.


I did a couple of search and am not finding an answer.
Thanks
gadget069
 
Posts: 4
Joined: 26. February 2013 21:23
XAMPP Version: 5.6.3
Operating System: win 7 pro

Re: Content Encoding Error

Postby JonB » 26. February 2013 23:53

You have probably 'something' that was set to use gzip or bzip2 compression (which was running on a Linux host probably)
User avatar
JonB
AF Moderator
 
Posts: 3210
Joined: 12. April 2010 16:41
Location: Land of the Blazing Sun
XAMPP Version: 1.8.3-2
Operating System: Windows XP/7 - Fedora 15 1.7.7

Re: Content Encoding Error

Postby gadget069 » 27. February 2013 00:18

For output on exporting the file, compression was set to none. I've restored this test database a few times without issues on my web server.

I took a look at the php error log and get this

HP Warning: file_get_contents(lang.tmp): failed to open stream: No such file or directory in F:\xampp\htdocs\xampp\index.php on line 2

[26-Feb-2013 20:09:07 UTC] PHP Strict Standards: Non-static method utf_normalizer::nfc() should not be called statically in F:\xampp\htdocs\portal\includes\utf\utf_tools.php on line 1804

[26-Feb-2013 20:09:07 UTC] PHP Strict Standards: Non-static method AJAXChatFileSystem::getFileContents() should not be called statically, assuming $this from incompatible context in F:\xampp\htdocs\portal\chat\lib\class\AJAXChatTemplate.php on line 37

[26-Feb-2013 20:09:07 UTC] PHP Strict Standards: Non-static method AJAXChatEncoding::htmlEncode() should not be called statically, assuming $this from incompatible context in F:\xampp\htdocs\portal\chat\lib\class\AJAXChat.php on line 2862

[26-Feb-2013 20:09:07 UTC] PHP Strict Standards: Non-static method AJAXChatEncoding::encodeSpecialChars() should not be called statically, assuming $this from incompatible context in F:\xampp\htdocs\portal\chat\lib\class\AJAXChatEncoding.php on line 53

[26-Feb-2013 20:09:07 UTC] PHP Strict Standards: Non-static method AJAXChatEncoding::getSpecialChars() should not be called statically, assuming $this from incompatible context in F:\xampp\htdocs\portal\chat\lib\class\AJAXChatEncoding.php on line 81

[26-Feb-2013 20:09:07 UTC] PHP Strict Standards: Non-static method AJAXChatEncoding::htmlEncode() should not be called statically, assuming $this from incompatible context in F:\xampp\htdocs\portal\chat\lib\class\AJAXChat.php on line 2862
gadget069
 
Posts: 4
Joined: 26. February 2013 21:23
XAMPP Version: 5.6.3
Operating System: win 7 pro

Re: Content Encoding Error

Postby JonB » 27. February 2013 02:28

What exactly do you want us to advice you on with a 3rd party script? Other than its likely a version issue...

:?:
User avatar
JonB
AF Moderator
 
Posts: 3210
Joined: 12. April 2010 16:41
Location: Land of the Blazing Sun
XAMPP Version: 1.8.3-2
Operating System: Windows XP/7 - Fedora 15 1.7.7

Re: Content Encoding Error

Postby gadget069 » 28. February 2013 02:15

I'll try a different version I guess and see if that solves my issue. I've used this before with xampp and never had this issue.

Thanks
gadget069
 
Posts: 4
Joined: 26. February 2013 21:23
XAMPP Version: 5.6.3
Operating System: win 7 pro

Re: Content Encoding Error

Postby JonB » 28. February 2013 04:08

With version 1.8 - XAMPP began providing PHP 5.4 - many scripts are not ready for that, You should check with the developers of the forum software.

Good Luck
User avatar
JonB
AF Moderator
 
Posts: 3210
Joined: 12. April 2010 16:41
Location: Land of the Blazing Sun
XAMPP Version: 1.8.3-2
Operating System: Windows XP/7 - Fedora 15 1.7.7

Re: Content Encoding Error

Postby gadget069 » 04. March 2013 11:42

I did finally get things working, went with an earlier version. Thanks.
gadget069
 
Posts: 4
Joined: 26. February 2013 21:23
XAMPP Version: 5.6.3
Operating System: win 7 pro

Re: Content Encoding Error

Postby JonB » 04. March 2013 17:22

Good, I am glad its working -

Good luck with XAMPP

8)
User avatar
JonB
AF Moderator
 
Posts: 3210
Joined: 12. April 2010 16:41
Location: Land of the Blazing Sun
XAMPP Version: 1.8.3-2
Operating System: Windows XP/7 - Fedora 15 1.7.7


Return to XAMPP for Windows

Who is online

Users browsing this forum: No registered users and 45 guests